<bugID>544815<Summary>Allow for placing Tabs over the Navigation Bar with option for Tabs under the Navigation Bar (add tabs on top option)</Summary><Description>Created attachment 425747
[Mockup] Tabs above and below the Navigation Bar

For the new Firefox theme/UI we would like to place the Tabs above the Navigation Bar by default. This would be beneficial for the following reasons:

* Gives Firefox a correct UI hierarchy where the controls are tab specific
* Fix a redundancy in having both a titlebar with page title as well as a tab with the page title
* A Fitt's Law win if the window is maximized
* A small vertical space savings allowing more room for content
* Creates a more streamlined UI

The ability to have Tabs underneath the Navigation Bar would also be needed. Potential entry points for this preference could be in a contextual menu on the tab bar, under the tab preferences pane or more ideally in the Customization dialog. The Customization dialog would need to be reworked to fit in this option.

See attachment for mockup.</Description></bugID>